
<?= $element->renderSubmenu('/instalace'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<p>Pro tento kurz budeme potřebovat nějaký server s PHP a vývojové prostředí (IDE) nebo editor.</p>

<p>Pokud už jedno z toho máte, můžete využívat to co máte a s čám umíte pracovat.</p>

<p>
	Níže najdete zjednodušený návod na vše potřebné. Případně můžete využít podrobnější popis i s obrázky <a href="https://drive.google.com/open?id=15C428oqrnDCjdxYq2QelSQ_I_Qh4Y_GMgqNi5RyOaV8" target="_blank">zde</a>.<br>
	V návodu také najdete, jak si ověřit že vše funguje jak má :).
</p>

<h2 class="mainTitle" id="netbeans">Vývojové prostředí (IDE) - Netbeans</h2>
<p>
	Velmi podobný Eclipsu. Z osobních preferencí ale volím Netbeans. A proč volíme IDE a ne jednodušší editor?
	Je to proto, že IDE nám mnohem více usnadní psaní kódu.
</p>

<p>
	IDE ke stažení <a href="https://netbeans.org/downloads/8.2/" target="_blank">zde</a> (nahoře zvol svůj operační jazyk) a stačí pouze to, kde je PHP. Jedná se o starší verzi, ale to nám nebude vadit.<br>
	Pro spuštění programu budeme ještě potřebovat <a href="https://www.oracle.com/technetwork/java/javase/downloads/jdk11-downloads-5066655.html" target="_blank">Javu JDK</a>.<br>
	Případně můžete stáhnout vše v <a href="https://www.oracle.com/technetwork/java/javase/downloads/jdk-netbeans-jsp-3413139-esa.html" target="_blank">jednom</a>.
</p>

<p>Po stažení stačí pouze nainstalovat a je to :)</p>

<p><b>Videonávody:</b></p>
<ul>
	<li><a href="https://www.youtube.com/watch?v=pgr-Bzkc4zg" target="_blank">Windows</a></li>
	<li><a href="https://www.youtube.com/watch?v=n7JvUzBMFVc" target="_blank">MacOS</a></li>
	<li><a href="https://www.youtube.com/watch?v=agzwIU774P0" target="_blank">Linux</a></li>
</ul>

<h2 class="mainTitle" id="xampp">XAMPP</h2>

<p>
	Proto abychom mohli spouštět kód jazyka PHP, musíme mít nějaký server, kde bude PHP instalováno.
	Můžeme samozřejmě využít nějaký hosting. Ten je ale placený.
</p>

<p>Naštěstí ale máme řešení. Nainstalujeme si vlastní vývojové prostředí (localhost).</p>

<p>Opět máme několik možností, my využijeme <a href="https://www.apachefriends.org/index.html" target="_blank">xampp</a>.</p>

<p>Instalace je velmi jednoduchá. Na konci instalace je potřeba povolit firewall.</p>

<p>Případně se můžete podívat na <b>Videonávody:</b></p>
<ul>
	<li><a href="https://www.youtube.com/watch?v=zZ6NQRUYR2E" target="_blank">Windows</a></li>
	<li><a href="https://www.youtube.com/watch?v=XmklVBO89MM" target="_blank">MacOS</a></li>
	<li><a href="https://www.youtube.com/watch?v=cJYLKMk855E" target="_blank">Linux</a></li>
</ul>